Skip to content

Changelog lame (3.100-2)

2017

lame (3.100-2) unstable; urgency=medium

   * Add CVE ids to previous changelog entry.
   * Add a libmp3lame0.symbols file now that LAME only exports
     its own API (Closes: #702290).
   * Let lame suggest lame-doc (Closes: #805899).

lame (3.100-1) unstable; urgency=medium

   * New upstream version 3.100 (Closes: #879129).
     + CVE-2017-9410, CVE-2017-9411, CVE-2017-9412.
   * Remove or refresh the Debian patch set, as appropriate:
     + 07-field-width-fix.patch - refreshed
     + parallel-builds-fix.patch - removed, applied upstream
     + ansi2knr2devnull.patch - removed, does not apply anymore
     + privacy-breach.patch - refreshed
     + msse.patch - refreshed
     + force_align_arg_pointer.patch - removed, does not apply anymore
     + 0001-Add-check-for-invalid-input-sample-rate.patch - removed,
       resolved upstream
     + bits_per_sample.patch - removed, resolved upstream
     + int_resample_ratio.patch - removed, applied upstream
   * Bump debhelper compat to 10.
   * Bump Standards-Version to 4.1.1.
   * Fix vcs-field-uses-insecure-uri lintian warnings.
   * Enable all hardening flags.
   * Enable dbg package migration.
   * Remove source/lintian-overrides, does not apply anymore.
   * Remove obsolete source/local-options.
   * Improve long package descriptions to mention that LAME
     is a recursive acronym.
   * Fix spelling errors in the frontend code and manpage.

2015

lame (3.99.5+repack1-9) unstable; urgency=medium

   * Add debug package.
   * Run wrap-and-sort -asb.

lame (3.99.5+repack1-8) unstable; urgency=medium

   * debian/patches/force_align_arg_pointer.patch: Enable functions with SSE
     instructions to maintain their own properly aligned stack. Fixes crashes
     with a general protection error when called from the ocaml bindings
     (Closes: #786438). Thanks Detrick Merz for the bug report, Robert Hegemann
     and especially Bernhard √úbelacker for their help with analyzing the bug.
   * Remove "experimental optimizations". These are compiler flags that are
     selected on a per-compiler basis, but the latest detected compilers are
     from the gcc-4.x series.
   * Build the frontend with the sndfile io routines, it should be able to read
     RAW PCM and WAV from stdin since at least 3.99.0. As per upstream request.
     + Add Build-Depends: libsndfile1-dev.
   * Append "-Wl,--as-needed -Wl,-z,defs" to LDFLAGS to get rid of the
     unnecessary dependency on libncurses.
   * Change Uploaders field to my <fabian@debian.org> address.
   * Bump Standards-Version to 3.9.6.
   * Fix space-in-std-shortname-in-dep5-copyright "BSD (3 clause)" and
     unused-license-paragraph-in-dep5-copyright "GPL-2+" lintian warnings.
   * Update Debian packaging copyright years and address.
   * TODO: Add a lame-dbg package.

lame (3.99.5+repack1-7) unstable; urgency=medium

   * Extend Maks Naumov's patch to also include a sanity check for
     a valid amount of input channels (Closes: #778703).
   * Fix decision if sample rate ratio is an integer value or not
     (Closes: #778529).
   * Thanks to Henri Salo for the bug reports and the fuzzed samples!

lame (3.99.5+repack1-6) unstable; urgency=high

   * Do not mangle CFLAGS in debian/rules anymore, leave this to
     dpkg-buildflags (Closes: #775955). Thanks, Jakub Wilk.
   * Add check for invalid input sample rate, thanks Maks Naumov
     (Closes: #775959, #777160, #777161). Thanks Jakub Wilk and
     Brian Carpenter for the bug reports and test cases.
   * Remove chunks modifying */Makefile.in from parallel-builds-fix.patch,
     we are running autoreconf anyway.
   * Remove unbreak-ftbfs-gcc4.4.patch, does not apply anymore.
   * Avoid malformed wav causing floating point exception in the frontend
     (Closes: #777159).

2014

lame (3.99.5+repack1-5) unstable; urgency=medium

   * Team upload.
   * debian/patches/msse.patch: Build xmm_quantize_sub.c with -msse to fix a
     build failure on any-i386. This also enables SSE support on i386 if SSE
     support is detected at runtime. (Closes: #760047)

lame (3.99.5+repack1-4) unstable; urgency=medium

   * Team upload.
 
   [ Alessio Treglia ]
   * Build with dh-autoreconf. (Closes: #755111)
 
   [ Sebastian Ramacher ]
   * debian/control:
     - Remove Andres Mejia from Uploaders since he is MIA. Thank you for
       maintaining lame, Andres! (Closes: #743522)
     - Remove obsolete DM-Upload-Allowed.
     - Change Maintainer to match other packages maintained by the team.
     - Add missing B-D dh-autoreconf and pkg-config.
     - Bump Standards-Version to 3.9.5
     - Remove obsolete Breaks / Replaces.
     - Use canonical Vcs-* locations.
   * debian/patches/privacy-breach.patch: Fix privacy-breach linitan erros in
     HTML documentation.

2012

lame (3.99.5+repack1-3) unstable; urgency=low

   * Handle case on setting CFLAGS for systems where dpkg-dev (<< 1.15.7)

lame (3.99.5+repack1-2) unstable; urgency=low

   * Allow dev package to be multiarch installable.

lame (3.99.5+repack1-1) unstable; urgency=low

   * New upstream release.
   * Refresh patches. Remove patches applied upstream.
   * Bump Standards-Version to 3.9.3.

lame (3.99.4+repack1-1) unstable; urgency=low

   * New upstream release.
   * Refresh patches.
   * Use CFLAGS from dpkg-buildflags, but don't pass -g or -O2.
   * Fix up lintian warning about commas in Files section of copyright file.

2011

lame (3.99.3+repack1-1) unstable; urgency=low

   * Update copyright.
   * Refresh all patches, remove patches applied upstreamed.
   * Update README.source.
   * Remove commas from Files section in copyright file.

lame (3.98.4+repack2-6) unstable; urgency=low

   * Add missing 'Multi-Arch: same' field.

lame (3.98.4+repack2-5) unstable; urgency=low

   [ Andres Mejia ]
   * Include fix for alpha builds. alpha builds need include guards in config.h.
   * Implement multiarch support.
 
   [ Reinhard Tartler ]
   * Unbreak compilation with gcc 4.4

lame (3.98.4+repack2-4) unstable; urgency=low

   * Fix compiler warning on machines not i386 or amd64.

lame (3.98.4+repack2-3) unstable; urgency=low

   * normalize fields in debian/control with 'wrap-and-sort(1)'

lame (3.98.4+repack2-2) unstable; urgency=low

   * Fix parallel builds on i386.

lame (3.98.4+repack2-1) unstable; urgency=low

   * Update debian/copyright to reflect replacement of portableio code from
     upstream.
   * Update README.source to mention change of portableio code.

lame (3.98.4+repack1-1) unstable; urgency=low

   [ Andres Mejia ]
   * Disable use of sndfile, breaks KDE apps relying on kio_audiocd slave for CD
     ripping.
   * Fix warning on 64 bit machines on use of size_t.
   * Support parallel builds.
   * Bump to Standards-Version 3.9.2.
   * Fix Vcs-Browser entry.
   * Don't use quilt when source format 3.0 (quilt) is being used.
   * Fixup build system. Don't patch generated files directly.
     Needed to disable GTK support so lame would build.
   * Enable full experimental optimizations.
     NOTE: The only extra optimizations that are really enabled are -O3,
     -fomit-frame-pointer, and -ffast-math. -fschedule-insns2 is on by default in
     -O2, -fbranch-count-reg is on by default in any mode, and -fforce-addr looks
     to be a noop now. This is with using GCC 4.6.*.
   * Modifiy override_dh_clean target to check if quilt is installed, and use it
     to unapply patches during cleaning.
   * Use patch to apply autoreconf changes.
   * Fix description-synopsis-starts-with-article lintian warnings.
   * Add DM-Upload-Allowed: yes.
   * Update to my @debian.org email.
   * Add script that can regenerate repacked tarball.
   * Build system changes are made before the tarball is generated.
   * Remove patches for which the build system is updated for the repacking.
   * No longer require the need to copy autotool files.
   * Update debian/copyright. This includes changes for the removal of the
     problematic exclusions to the LGPL and helpful comments about some of the
     files. This needed an update to latest DEP-5 spec.
   * Use dpkg-source unapply-patches option to unapply patches.
   * Add in changes to output of license information from upstream.
   * Update debian/README.source. This includes information what is changed from
     the original upstream source tarball.
   * Update debian/watch to mangle some common version info from the Debian
     version.
 
   [ Fabian Greffrath ]
   * Remove duplicate patches/05-armel-no-finite-math-only.diff.
   * Update my e-mail address.
   * Fix dh usage.
   * Build with libsndfile.
   * debian/patches/06-sndfile-stdin.patch: New patch from Gentoo to
     support reading from stdin with sndfile.
   * Do not install the libtool .la file in the -dev package.
   * Do not provide the liblame0 package anymore.

2010

lame (3.98.4-1) unstable; urgency=low

   * Upload to unstable. Closes: #90091

lame (3.98.4-0ubuntu1) maverick; urgency=low

   * New upstream Release
   * Switch to source Format 3.0 (quilt)
   * Remove debian/patches/03-buffer-too-small.patch, merged upstream
   * Refreshed patches
   * Tighten build depends on debhelper und quilt
   * Bump standards version
   * Remove outdated config.guess and config.sub during build

lame (3.98.2+debian-1) unstable; urgency=low

   * Prepare upload for Debian.
   * Fix Maintainer field and add myself as uploader.
   * Bump Standards-Version to 3.8.4.
   * Set the default debian branch to master for master branch.
   * Add versioned dependency on quilt.
   * Add versioned dependency on debhelper for use of debhelper overrides.
   * Add README.source for use of quilt.

2009

lame (3.98.2+debian-0ubuntu3) lucid; urgency=low

   * debian/control: libmp3lame0 Conflicts+Replaces+Provides liblame0
     (LP: #469676)

lame (3.98.2+debian-0ubuntu2) karmic; urgency=low

   [ Fabian Greffrath ]
   * Prefer my d-u.o address for "official" packages.
   * Ported from debhelper (>= 7.2) to cdbs.
   * Remove redundant DEB_DH_INSTALL_SOURCEDIR.
 
   [ Reinhard Tartler ]
   * update debian/changelog
 
   [ Fabian Greffrath ]
   * Revert "update config.guess and config.sub with more recent
     versions"
   * debian/copyright: Vastly improved.
   * cosmetic cleanup
   * Bumped Standards-Version to 3.8.2.
   * Update debian/copyright.
   * Really update debian/changelog.
 
   [ Reinhard Tartler ]
   * patches taken from the marillat package:
     - fix the ffmpeg 'buffer too small' bug. LP: #401406
     - disable executable stack
     - buggy optimization for single-precision floats when
       -ffinite-math-only
   * reconvert to dh7

lame (3.98.2+debian-0ubuntu1) karmic; urgency=low

   * New upstream version
   * Import the package prepared by Fabian Greffrath in the pkg-multimedia
     repository.
   * This replaces the former marillat packaging completely.
   * target karmic.

lame (3.98.2+debian-1) unstable; urgency=low

   [ Fabian Greffrath ]
   * Prefer my d-u.o address for "official" packages.
   * Ported from debhelper (>= 7.2) to cdbs.
   * Remove redundant DEB_DH_INSTALL_SOURCEDIR.
 
   [ Reinhard Tartler ]
   * New upstream version
   * Import the package prepared by Fabian Greffrath in the pkg-multimedia
     repository.
   * This replaces the former marillat packaging completely.
   * update config.guess and config.sub with more recent versions
   * update maintainer field
   * prefer multiline fields in debian/control
   * fix typo in description of libmp3lame-dev

lame (3.98.2+debian-0fab1) unstable; urgency=low

   * Initial release.
   * Rebuilt upstream tarball without debian/ directory.
   * Linked frontend against shared libraries.